summaryrefslogtreecommitdiffstats
path: root/source/a/libcgroup
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2016-06-30 20:26:57 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:31:18 +0200
commitd31c50870d0bee042ce660e445c9294a59a3a65b (patch)
tree6bfc0de3c95267b401b620c2c67859557dc60f97 /source/a/libcgroup
parent76fc4757ac91ac7947a01fb7b53dddf9a78a01d1 (diff)
downloadcurrent-d31c50870d0bee042ce660e445c9294a59a3a65b.tar.gz
current-d31c50870d0bee042ce660e445c9294a59a3a65b.tar.xz
Slackware 14.2slackware-14.2
Thu Jun 30 20:26:57 UTC 2016 Slackware 14.2 x86_64 stable is released! The long development cycle (the Linux community has lately been living in "interesting times", as they say) is finally behind us, and we're proud to announce the release of Slackware 14.2. The new release brings many updates and modern tools, has switched from udev to eudev (no systemd), and adds well over a hundred new packages to the system. Thanks to the team, the upstream developers, the dedicated Slackware community, and everyone else who pitched in to help make this release a reality. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. Have fun! :-)
Diffstat (limited to 'source/a/libcgroup')
-rwxr-xr-xsource/a/libcgroup/libcgroup.SlackBuild4
-rw-r--r--source/a/libcgroup/libcgroup.init.diff36
2 files changed, 21 insertions, 19 deletions
diff --git a/source/a/libcgroup/libcgroup.SlackBuild b/source/a/libcgroup/libcgroup.SlackBuild
index cc4cd4212..b15b91ecc 100755
--- a/source/a/libcgroup/libcgroup.SlackBuild
+++ b/source/a/libcgroup/libcgroup.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2011 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2011, 2014 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
PKGNAM=libcgroup
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/a/libcgroup/libcgroup.init.diff b/source/a/libcgroup/libcgroup.init.diff
index 72dcaa31d..c3f110ed6 100644
--- a/source/a/libcgroup/libcgroup.init.diff
+++ b/source/a/libcgroup/libcgroup.init.diff
@@ -1,6 +1,6 @@
---- ./scripts/init.d/cgred.in.orig 2011-03-08 05:29:42.000000000 -0600
-+++ ./scripts/init.d/cgred.in 2013-02-23 16:15:54.054745738 -0600
-@@ -39,9 +39,8 @@
+--- ./scripts/init.d/cgred.in.orig 2014-01-13 08:05:56.000000000 -0600
++++ ./scripts/init.d/cgred.in 2014-08-25 14:38:35.588193215 -0500
+@@ -39,13 +39,12 @@
# Sanity checks
[ -x $CGRED_BIN ] || exit 1
@@ -10,8 +10,14 @@
-. /lib/lsb/init-functions
# Read in configuration options.
- if [ -f "/etc/sysconfig/cgred.conf" ] ; then
-@@ -70,16 +69,16 @@
+-if [ -f "/etc/sysconfig/cgred.conf" ] ; then
+- . /etc/sysconfig/cgred.conf
++if [ -f $CGRED_CONF ] ; then
++ . $CGRED_CONF
+ OPTIONS="$NODAEMON $LOG"
+ if [ -n "$LOG_FILE" ]; then
+ OPTIONS="$OPTIONS --logfile=$LOG_FILE"
+@@ -70,13 +69,13 @@
{
echo -n $"Starting CGroup Rules Engine Daemon: "
if [ -f "$lockfile" ]; then
@@ -19,19 +25,15 @@
+ echo "$servicename is already running with PID `cat ${pidfile}`"
return 0
fi
- if [ ! -s $CGRED_CONF ]; then
-- log_failure_msg "not configured"
-+ echo "not configured"
- return 6
- fi
- if ! grep "^cgroup" /proc/mounts &>/dev/null; then
+ num=`grep "cgroup" /proc/mounts | awk '$3=="cgroup"' | wc -l`
+ if [ $num -eq 0 ]; then
echo
- log_failure_msg $"Cannot find cgroups, is cgconfig service running?"
+ echo $"Cannot find cgroups, is cgconfig service running?"
return 1
fi
daemon --check $servicename --pidfile $pidfile $CGRED_BIN $OPTIONS
-@@ -100,7 +99,7 @@
+@@ -97,7 +96,7 @@
{
echo -n $"Stopping CGroup Rules Engine Daemon..."
if [ ! -f $pidfile ]; then
@@ -40,7 +42,7 @@
return 0
fi
killproc -p $pidfile -TERM "$processname"
-@@ -146,13 +145,13 @@
+@@ -143,13 +142,13 @@
echo $"Reloading rules configuration..."
kill -s 12 `cat ${pidfile}`
RETVAL=$?
@@ -60,8 +62,8 @@
fi
;;
*)
---- ./scripts/init.d/cgconfig.in.orig 2011-12-06 03:42:15.000000000 -0600
-+++ ./scripts/init.d/cgconfig.in 2013-02-23 16:23:51.530775095 -0600
+--- ./scripts/init.d/cgconfig.in.orig 2014-01-13 08:05:56.000000000 -0600
++++ ./scripts/init.d/cgconfig.in 2014-08-25 14:38:38.291193382 -0500
@@ -36,11 +36,6 @@
servicename=cgconfig
lockfile=/var/lock/subsys/$servicename
@@ -75,8 +77,8 @@
CREATE_DEFAULT=yes
if [ -e /etc/sysconfig/cgconfig ]; then
@@ -54,8 +49,8 @@
- grep -m1 '^\*[[:space:]]\+' /etc/cgrules.conf | \
- read user ctrl defaultcgroup
+ read user ctrl defaultcgroup <<< \
+ $(grep -m1 '^\*[[:space:]]\+' /etc/cgrules.conf)
if [ -n "$defaultcgroup" -a "$defaultcgroup" = "*" ]; then
- log_warning_msg "/etc/cgrules.conf incorrect"
- log_warning_msg "Overriding it"